Add a component to the status page
curl --request POST \
--url https://api.devhelm.io/api/v1/status-pages/{id}/components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"showUptime": true,
"displayOrder": 123,
"excludeFromOverall": true,
"startDate": "2023-12-25"
}
'import requests
url = "https://api.devhelm.io/api/v1/status-pages/{id}/components"
payload = {
"name": "<string>",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"showUptime": True,
"displayOrder": 123,
"excludeFromOverall": True,
"startDate": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
monitorId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
resourceGroupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
groupId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
showUptime: true,
displayOrder: 123,
excludeFromOverall: true,
startDate: '2023-12-25'
})
};
fetch('https://api.devhelm.io/api/v1/status-pages/{id}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"showUptime": true,
"displayOrder": 123,
"pageOrder": 123,
"excludeFromOverall": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overrideReason": "<string>",
"overrideExpiresAt": "2023-11-07T05:31:56Z",
"overrideActor": 123,
"startDate": "2023-11-07T05:31:56Z"
}
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Status Pages
Add a component to the status page
POST
/
api
/
v1
/
status-pages
/
{id}
/
components
Add a component to the status page
Authorizations
API key (dh_live_...) or Auth0 JWT token
Path Parameters
Body
application/json
Component display name
Maximum string length:
255Component type: MONITOR, GROUP, or STATIC
Available options:
MONITOR, GROUP, STATIC Optional description shown on expand
Maximum string length:
500Monitor ID (required when type=MONITOR)
Resource group ID (required when type=GROUP)
Component group ID for visual grouping
Whether to show the uptime bar (default: true)
Position in the component list
Exclude from overall status calculation (default: false, use true for third-party deps)
Date from which to start showing uptime; defaults to component creation. Set earlier to backdate (e.g. launch day); clamped at the monitor's createdAt for MONITOR-type components
Response
Created
Show child attributes
Show child attributes
⌘I